BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.OrganizationCommonRepository Class Reference

## Public Member Functions
| OrganizationCommonRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
string | GetOrganizationNameFullPath (Guid id, bool showRoot=false, bool descending=false, string seperator=" ")
List< OrganizationItem > | GetOCWithFullPath (Guid id, bool showRoot=false)

## Constructor & Destructor Documentation

## ◆ OrganizationCommonRepository()

BMA.EHR.Application.Repositories.OrganizationCommonRepository.OrganizationCommonRepository | ( | IApplicationDBContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ GetOCWithFullPath()

List< OrganizationItem > BMA.EHR.Application.Repositories.OrganizationCommonRepository.GetOCWithFullPath | ( | Guid | id,
|  | bool | showRoot = `false`
| ) |  |
| inline

## ◆ GetOrganizationNameFullPath()

string BMA.EHR.Application.Repositories.OrganizationCommonRepository.GetOrganizationNameFullPath | ( | Guid | id,
|  | bool | showRoot = `false`,
|  | bool | descending = `false`,
|  | string | seperator = `" "`
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/OrganizationCommonRepository.cs